/**
Very simple network server--sends off a little message.

Orion Sky Lawlor, olawlor@acm.org, 2006/1/22 (Public Domain)
*/
#include <stdio.h>
#include "osl/socket.h"
#include "osl/socket.cpp" /* include body for easy linking */

int main(int argc,char *argv[])
{
	unsigned int port=1234; /* use 0 to have OS pick a port */
	SERVER_SOCKET serv=skt_server(&port);
	skt_ip_t client_ip; unsigned int client_port;
	SOCKET s=skt_accept(serv,&client_ip,&client_port);

	/* thirty-two tab characters will crash the client.
	   See the client code comments for why. */
	char buf[32];
	for (int i=0;i<32;i++) buf[i]='\t';
	skt_sendN(s,buf,32);

	skt_close(s);
	skt_close(serv);
	printf("Vulnserver exiting.\n");
	return 0;
}
